Subject: Problem: CVS cannot work properly in SSH shell
From: Neophytos Neophytou <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 19 Jul 2003 05:17:00 -0700 (PDT)

Hi all,
   I'm trying to access a CVS repository on my Cygwin
on Windows XP, using :ext: protocol with SSH but I
keep running into problems. It seems that there is a
bug that prevents CVS to run properly in an SSH shell,
or some of my environment is really messed up. 
   The following command sequence (within cygwin
shell) better describes my problem:
----------------------------------------
First I create a simple CVS repository, and try to
check out the CVSROOT. It works locally.
----------------------------------------

$ mkdir ~/cvs
$ cvs -d /home/fytos/cvs/  init
$ cd /tmp
$ cvs -d /home/fytos/cvs/ checkout CVSROOT
cvs checkout: Updating CVSROOT
U CVSROOT/checkoutlist
U CVSROOT/commitinfo
U CVSROOT/config
U CVSROOT/cvswrappers
U CVSROOT/editinfo
U CVSROOT/loginfo
U CVSROOT/modules
U CVSROOT/notify
U CVSROOT/rcsinfo
U CVSROOT/taginfo
U CVSROOT/verifymsg
----------------------------------------
Now, I want to do the same thing, but inside 
an SSH shell. CVS cannot find the repository and
aborts.
----------------------------------------

$ ssh fytos@localhost "cvs -d /home/fytos/cvs checkout
CVSROOT"
fytos@localhost's password:
cvs [checkout aborted]: /home/fytos/cvs/CVSROOT: No
such file or directory
 
----------------------------------------
Because of the above, the following command also
doesn't work. 
This is my main complaint...
----------------------------------------

$ export CVSROOT=:ext:fytos@localhost:/home/fytos/cvs
$ cvs checkout CVSROOT
fytos@localhost's password:
cvs [server aborted]: /home/fytos/cvs: no such
repository

----------------------------------------
Following are the versions of involved programs.
Please post the relevant commands if more info is
required to further investigate this.
----------------------------------------
$ uname   
CYGWIN_NT-5.1

$ ssh -v
OpenSSH_3.6.1p1, SSH protocols 1.5/2.0, OpenSSL
0x0090702f

$ cvs -v
Concurrent Versions System (CVS) 1.11.5
(client/server)
----------------------------------------
 
Thank you very much in advance. Any response will be
greatly appreciated.
Sincerely,
   Neophytos Neophytou

__________________________________
Do you Yahoo!?
SBC Yahoo! DSL - Now only $29.95 per month!
http://sbc.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/